/*
 * Copyright 2010-2011, CloudBees Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.cloudbees.api;

import com.thoughtworks.xstream.annotations.XStreamAlias;

import java.util.ArrayList;
import java.util.List;

@XStreamAlias("AccountListResponse")
public class AccountListResponse {
    private List<AccountInfo> accounts;

    public AccountListResponse() {
         accounts = new ArrayList<AccountInfo>();
    }

    public List<AccountInfo> getAccounts() {
        return accounts;
    }

    public void setAccountInfos(List<AccountInfo> infos) {
        this.accounts = infos;
    }

    public void addAccountInfo(AccountInfo accountInfo) {
        this.accounts.add(accountInfo);
    }
}